org.eclipse.jdt.ui.text.java

## Class CompletionProposalLabelProvider

- java.lang.Object
- - org.eclipse.jdt.ui.text.java.CompletionProposalLabelProvider

    public class CompletionProposalLabelProvider
    extends Object

Provides labels for java content assist proposals. The functionality is similar to the one provided by `JavaElementLabels`, but based on signatures and `CompletionProposal`s.

Since:
  3.1
See Also:
  `Signature`

### Constructor Summary

Constructors
Constructor and Description
`CompletionProposalLabelProvider()` Creates a new label provider.

### Method Summary

All Methods Instance Methods Concrete Methods
`ImageDescriptor` `createImageDescriptor(CompletionProposal proposal)` Creates and returns a decorated image descriptor for a completion proposal.
`String` `createLabel(CompletionProposal proposal)` Creates the display label for a given `CompletionProposal`.
`String` `createParameterList(CompletionProposal proposal)` Creates and returns a parameter list of the given method or type proposal suitable for display.
`StyledString` `createStyledLabel(CompletionProposal proposal)` Creates a display label with styles for a given `CompletionProposal`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CompletionProposalLabelProvider

    public CompletionProposalLabelProvider()

Creates a new label provider.

### Method Detail

#### createParameterList

    public String createParameterList(CompletionProposal proposal)

Creates and returns a parameter list of the given method or type proposal suitable for display. The list does not include parentheses. The lower bound of parameter types is returned.

Examples:

       "void method(int i, String s)" -> "int i, String s"
       "? extends Number method(java.lang.String s, ? super Number n)" -> "String s, Number n"

Parameters:
  `proposal` - the proposal to create the parameter list for
Returns:
  the list of comma-separated parameters suitable for display

#### createLabel

    public String createLabel(CompletionProposal proposal)

Creates the display label for a given `CompletionProposal`.

Parameters:
  `proposal` - the completion proposal to create the display label for
Returns:
  the display label for `proposal`

#### createStyledLabel

    public StyledString createStyledLabel(CompletionProposal proposal)

Creates a display label with styles for a given `CompletionProposal`.

Parameters:
  `proposal` - the completion proposal to create the display label for
Returns:
  the display label for `proposal`
Since:
  3.4

#### createImageDescriptor

    public ImageDescriptor createImageDescriptor(CompletionProposal proposal)

Creates and returns a decorated image descriptor for a completion proposal.

Parameters:
  `proposal` - the proposal for which to create an image descriptor
Returns:
  the created image descriptor, or `null` if no image is available